summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eugen Wissner2024-03-19 05:59:34 +0100
committer Willy Sudiarto Raharjo2024-03-19 06:54:22 +0100
commite73a7778a089deac50527a69b0df4e94e8f9ce46 (patch)
tree06c12fc21c52359d9ca2bdcb6711566db6c8e03f
parentef686cc0c93ca7bf66be082eca5dfc6bb3426862 (diff)
downloadslackbuilds-e73a7778a089deac50527a69b0df4e94e8f9ce46.tar.gz
libraries/simde: Added (Implementations of SIMD).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/simde/README8
-rw-r--r--libraries/simde/simde.SlackBuild71
-rw-r--r--libraries/simde/simde.info10
-rw-r--r--libraries/simde/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/libraries/simde/README b/libraries/simde/README
new file mode 100644
index 0000000000..f8906793b5
--- /dev/null
+++ b/libraries/simde/README
@@ -0,0 +1,8 @@
+Implementations of SIMD instruction sets for systems which don't
+natively support them.
+
+The SIMDe header-only library provides fast, portable implementations of
+SIMD intrinsics on hardware which doesn't natively support them, such as
+calling SSE functions on ARM. There is no performance penalty if the
+hardware supports the native implementation (e.g., SSE/AVX runs at full
+speed on x86, NEON on ARM, etc.).
diff --git a/libraries/simde/simde.SlackBuild b/libraries/simde/simde.SlackBuild
new file mode 100644
index 0000000000..ffedd6acbd
--- /dev/null
+++ b/libraries/simde/simde.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/bash
+
+# Slackware build script for simde
+
+# Copyright 2024 Eugene Wissner, Mannheim ,Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=simde
+VERSION=${VERSION:-0.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=simde-amalgamated
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd ..
+mkdir -p $PKG/usr/include
+mv $SRCNAM-$VERSION $PKG/usr/include/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/simde/simde.info b/libraries/simde/simde.info
new file mode 100644
index 0000000000..c639595c47
--- /dev/null
+++ b/libraries/simde/simde.info
@@ -0,0 +1,10 @@
+PRGNAM="simde"
+VERSION="0.8.0"
+HOMEPAGE="https://simd-everywhere.github.io/blog/"
+DOWNLOAD="https://github.com/simd-everywhere/simde/releases/download/v0.8.0/simde-amalgamated-0.8.0.tar.xz"
+MD5SUM="1163abbb1c0c4627a1dfd95f8eedcc1d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Eugen Wissner"
+EMAIL="belka@caraus.de"
diff --git a/libraries/simde/slack-desc b/libraries/simde/slack-desc
new file mode 100644
index 0000000000..ec01a43379
--- /dev/null
+++ b/libraries/simde/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+simde: simde (SIMD Everywhere)
+simde:
+simde: Implementations of SIMD instruction sets for systems which don't
+simde: natively support them.
+simde:
+simde: Homepage: https://simd-everywhere.github.io/blog/
+simde:
+simde:
+simde:
+simde:
+simde: